# TaskExecutionResult

interface TaskExecutionResult : TaskOperationResult

Describes the result of a non-skipped task.

#### Since

5.1

#### Inheritors

TaskSuccessResult
TaskFailureResult

## Functions

getEndTime
Link copied to clipboard
abstract fun getEndTime(): Long
getExecutionReasons
Link copied to clipboard
@Nullable
abstract fun getExecutionReasons(): @Nullable List<String>
Returns the reasons why this task was executed.
getStartTime
Link copied to clipboard
abstract fun getStartTime(): Long
isIncremental
Link copied to clipboard
abstract fun isIncremental(): Boolean
Returns whether this task was executed incrementally.